| AI Engine-ML v2 Intrinsics User Guide (v2026.1)

Loading...
Searching...
No Matches
Multiply-accumulate of float8 and bfloat8 datatypes
Vector Operations » Multiply Accumulate

## 8x8_8x8
v64accfloat | mul_8x8_8x8 (v64float8 a, v64float8 b)
v64accfloat | negmul_8x8_8x8 (v64float8 a, v64float8 b)
v64accfloat | mac_8x8_8x8 (v64float8 a, v64float8 b, v64accfloat acc)
v64accfloat | msc_8x8_8x8 (v64float8 a, v64float8 b, v64accfloat acc)
v64accfloat | addmac_8x8_8x8 (v64float8 a, v64float8 b, v64accfloat acc1, v64accfloat acc2)
v64accfloat | addmsc_8x8_8x8 (v64float8 a, v64float8 b, v64accfloat acc1, v64accfloat acc2)
v64accfloat | mul_8x8_8x8 (v64float8 a, v64bfloat8 b)
v64accfloat | negmul_8x8_8x8 (v64float8 a, v64bfloat8 b)
v64accfloat | mac_8x8_8x8 (v64float8 a, v64bfloat8 b, v64accfloat acc)
v64accfloat | msc_8x8_8x8 (v64float8 a, v64bfloat8 b, v64accfloat acc)
v64accfloat | addmac_8x8_8x8 (v64float8 a, v64bfloat8 b, v64accfloat acc1, v64accfloat acc2)
v64accfloat | addmsc_8x8_8x8 (v64float8 a, v64bfloat8 b, v64accfloat acc1, v64accfloat acc2)
v64accfloat | mul_8x8_8x8 (v64bfloat8 a, v64float8 b)
v64accfloat | negmul_8x8_8x8 (v64bfloat8 a, v64float8 b)
v64accfloat | mac_8x8_8x8 (v64bfloat8 a, v64float8 b, v64accfloat acc)
v64accfloat | msc_8x8_8x8 (v64bfloat8 a, v64float8 b, v64accfloat acc)
v64accfloat | addmac_8x8_8x8 (v64bfloat8 a, v64float8 b, v64accfloat acc1, v64accfloat acc2)
v64accfloat | addmsc_8x8_8x8 (v64bfloat8 a, v64float8 b, v64accfloat acc1, v64accfloat acc2)
v64accfloat | mul_8x8_8x8 (v64bfloat8 a, v64bfloat8 b)
v64accfloat | negmul_8x8_8x8 (v64bfloat8 a, v64bfloat8 b)
v64accfloat | mac_8x8_8x8 (v64bfloat8 a, v64bfloat8 b, v64accfloat acc)
v64accfloat | msc_8x8_8x8 (v64bfloat8 a, v64bfloat8 b, v64accfloat acc)
v64accfloat | addmac_8x8_8x8 (v64bfloat8 a, v64bfloat8 b, v64accfloat acc1, v64accfloat acc2)
v64accfloat | addmsc_8x8_8x8 (v64bfloat8 a, v64bfloat8 b, v64accfloat acc1, v64accfloat acc2)

## 8x8_8x8 with dynamic sign
v64accfloat | mul_8x8_8x8 (v64float8 a, int sgn_x, v64float8 b, int sgn_y)
v64accfloat | negmul_8x8_8x8 (v64float8 a, int sgn_x, v64float8 b, int sgn_y)
v64accfloat | mac_8x8_8x8 (v64float8 a, int sgn_x, v64float8 b, int sgn_y, v64accfloat acc)
v64accfloat | msc_8x8_8x8 (v64float8 a, int sgn_x, v64float8 b, int sgn_y, v64accfloat acc)
v64accfloat | addmac_8x8_8x8 (v64float8 a, int sgn_x, v64float8 b, int sgn_y, v64accfloat acc1, v64accfloat acc2)
v64accfloat | addmsc_8x8_8x8 (v64float8 a, int sgn_x, v64float8 b, int sgn_y, v64accfloat acc1, v64accfloat acc2)
v64accfloat | mul_8x8_8x8 (v64float8 a, int sgn_x, v64bfloat8 b, int sgn_y)
v64accfloat | negmul_8x8_8x8 (v64float8 a, int sgn_x, v64bfloat8 b, int sgn_y)
v64accfloat | mac_8x8_8x8 (v64float8 a, int sgn_x, v64bfloat8 b, int sgn_y, v64accfloat acc)
v64accfloat | msc_8x8_8x8 (v64float8 a, int sgn_x, v64bfloat8 b, int sgn_y, v64accfloat acc)
v64accfloat | addmac_8x8_8x8 (v64float8 a, int sgn_x, v64bfloat8 b, int sgn_y, v64accfloat acc1, v64accfloat acc2)
v64accfloat | addmsc_8x8_8x8 (v64float8 a, int sgn_x, v64bfloat8 b, int sgn_y, v64accfloat acc1, v64accfloat acc2)
v64accfloat | mul_8x8_8x8 (v64bfloat8 a, int sgn_x, v64float8 b, int sgn_y)
v64accfloat | negmul_8x8_8x8 (v64bfloat8 a, int sgn_x, v64float8 b, int sgn_y)
v64accfloat | mac_8x8_8x8 (v64bfloat8 a, int sgn_x, v64float8 b, int sgn_y, v64accfloat acc)
v64accfloat | msc_8x8_8x8 (v64bfloat8 a, int sgn_x, v64float8 b, int sgn_y, v64accfloat acc)
v64accfloat | addmac_8x8_8x8 (v64bfloat8 a, int sgn_x, v64float8 b, int sgn_y, v64accfloat acc1, v64accfloat acc2)
v64accfloat | addmsc_8x8_8x8 (v64bfloat8 a, int sgn_x, v64float8 b, int sgn_y, v64accfloat acc1, v64accfloat acc2)
v64accfloat | mul_8x8_8x8 (v64bfloat8 a, int sgn_x, v64bfloat8 b, int sgn_y)
v64accfloat | negmul_8x8_8x8 (v64bfloat8 a, int sgn_x, v64bfloat8 b, int sgn_y)
v64accfloat | mac_8x8_8x8 (v64bfloat8 a, int sgn_x, v64bfloat8 b, int sgn_y, v64accfloat acc)
v64accfloat | msc_8x8_8x8 (v64bfloat8 a, int sgn_x, v64bfloat8 b, int sgn_y, v64accfloat acc)
v64accfloat | addmac_8x8_8x8 (v64bfloat8 a, int sgn_x, v64bfloat8 b, int sgn_y, v64accfloat acc1, v64accfloat acc2)
v64accfloat | addmsc_8x8_8x8 (v64bfloat8 a, int sgn_x, v64bfloat8 b, int sgn_y, v64accfloat acc1, v64accfloat acc2)

## 8x8_8x8 with dynamic negation of multiplication result
v64accfloat | mul_8x8_8x8_conf (v64float8 a, v64float8 b, int sub_mul)
v64accfloat | negmul_8x8_8x8_conf (v64float8 a, v64float8 b, int sub_mul)
v64accfloat | mul_8x8_8x8_conf (v64float8 a, v64bfloat8 b, int sub_mul)
v64accfloat | negmul_8x8_8x8_conf (v64float8 a, v64bfloat8 b, int sub_mul)
v64accfloat | mul_8x8_8x8_conf (v64bfloat8 a, v64float8 b, int sub_mul)
v64accfloat | negmul_8x8_8x8_conf (v64bfloat8 a, v64float8 b, int sub_mul)
v64accfloat | mul_8x8_8x8_conf (v64bfloat8 a, v64bfloat8 b, int sub_mul)
v64accfloat | negmul_8x8_8x8_conf (v64bfloat8 a, v64bfloat8 b, int sub_mul)

## 8x8_8x8 with dynamic negation of multiplication result, zeroing of acc1, negation of acc1
v64accfloat | mac_8x8_8x8_conf (v64float8 a, v64float8 b, v64accfloat acc, int zero_acc, int sub_mul, int sub_acc1)
v64accfloat | msc_8x8_8x8_conf (v64float8 a, v64float8 b, v64accfloat acc, int zero_acc, int sub_mul, int sub_acc1)
v64accfloat | addmac_8x8_8x8_conf (v64float8 a, v64float8 b, v64accfloat acc1, v64accfloat acc2, int zero_acc1, int sub_mul, int sub_acc1, int sub_acc2)
v64accfloat | addmsc_8x8_8x8_conf (v64float8 a, v64float8 b, v64accfloat acc1, v64accfloat acc2, int zero_acc1, int sub_mul, int sub_acc1, int sub_acc2)
v64accfloat | mac_8x8_8x8_conf (v64float8 a, v64bfloat8 b, v64accfloat acc, int zero_acc, int sub_mul, int sub_acc1)
v64accfloat | msc_8x8_8x8_conf (v64float8 a, v64bfloat8 b, v64accfloat acc, int zero_acc, int sub_mul, int sub_acc1)
v64accfloat | addmac_8x8_8x8_conf (v64float8 a, v64bfloat8 b, v64accfloat acc1, v64accfloat acc2, int zero_acc1, int sub_mul, int sub_acc1, int sub_acc2)
v64accfloat | addmsc_8x8_8x8_conf (v64float8 a, v64bfloat8 b, v64accfloat acc1, v64accfloat acc2, int zero_acc1, int sub_mul, int sub_acc1, int sub_acc2)
v64accfloat | mac_8x8_8x8_conf (v64bfloat8 a, v64float8 b, v64accfloat acc, int zero_acc, int sub_mul, int sub_acc1)
v64accfloat | msc_8x8_8x8_conf (v64bfloat8 a, v64float8 b, v64accfloat acc, int zero_acc, int sub_mul, int sub_acc1)
v64accfloat | addmac_8x8_8x8_conf (v64bfloat8 a, v64float8 b, v64accfloat acc1, v64accfloat acc2, int zero_acc1, int sub_mul, int sub_acc1, int sub_acc2)
v64accfloat | addmsc_8x8_8x8_conf (v64bfloat8 a, v64float8 b, v64accfloat acc1, v64accfloat acc2, int zero_acc1, int sub_mul, int sub_acc1, int sub_acc2)
v64accfloat | mac_8x8_8x8_conf (v64bfloat8 a, v64bfloat8 b, v64accfloat acc, int zero_acc, int sub_mul, int sub_acc1)
v64accfloat | msc_8x8_8x8_conf (v64bfloat8 a, v64bfloat8 b, v64accfloat acc, int zero_acc, int sub_mul, int sub_acc1)
v64accfloat | addmac_8x8_8x8_conf (v64bfloat8 a, v64bfloat8 b, v64accfloat acc1, v64accfloat acc2, int zero_acc1, int sub_mul, int sub_acc1, int sub_acc2)
v64accfloat | addmsc_8x8_8x8_conf (v64bfloat8 a, v64bfloat8 b, v64accfloat acc1, v64accfloat acc2, int zero_acc1, int sub_mul, int sub_acc1, int sub_acc2)

## 8x8_8x8 with dynamic sign and dynamic negation of multiplication result
v64accfloat | mul_8x8_8x8_conf (v64float8 a, int sgn_x, v64float8 b, int sgn_y, int sub_mul)
v64accfloat | negmul_8x8_8x8_conf (v64float8 a, int sgn_x, v64float8 b, int sgn_y, int sub_mul)
v64accfloat | mac_8x8_8x8_conf (v64float8 a, int sgn_x, v64float8 b, int sgn_y, v64accfloat acc, int zero_acc, int sub_mul, int sub_acc1)
v64accfloat | msc_8x8_8x8_conf (v64float8 a, int sgn_x, v64float8 b, int sgn_y, v64accfloat acc, int zero_acc, int sub_mul, int sub_acc1)
v64accfloat | addmac_8x8_8x8_conf (v64float8 a, int sgn_x, v64float8 b, int sgn_y, v64accfloat acc1, v64accfloat acc2, int zero_acc1, int sub_mul, int sub_acc1, int sub_acc2)
v64accfloat | addmsc_8x8_8x8_conf (v64float8 a, int sgn_x, v64float8 b, int sgn_y, v64accfloat acc1, v64accfloat acc2, int zero_acc1, int sub_mul, int sub_acc1, int sub_acc2)
v64accfloat | mul_8x8_8x8_conf (v64float8 a, int sgn_x, v64bfloat8 b, int sgn_y, int sub_mul)
v64accfloat | negmul_8x8_8x8_conf (v64float8 a, int sgn_x, v64bfloat8 b, int sgn_y, int sub_mul)
v64accfloat | mac_8x8_8x8_conf (v64float8 a, int sgn_x, v64bfloat8 b, int sgn_y, v64accfloat acc, int zero_acc, int sub_mul, int sub_acc1)
v64accfloat | msc_8x8_8x8_conf (v64float8 a, int sgn_x, v64bfloat8 b, int sgn_y, v64accfloat acc, int zero_acc, int sub_mul, int sub_acc1)
v64accfloat | addmac_8x8_8x8_conf (v64float8 a, int sgn_x, v64bfloat8 b, int sgn_y, v64accfloat acc1, v64accfloat acc2, int zero_acc1, int sub_mul, int sub_acc1, int sub_acc2)
v64accfloat | addmsc_8x8_8x8_conf (v64float8 a, int sgn_x, v64bfloat8 b, int sgn_y, v64accfloat acc1, v64accfloat acc2, int zero_acc1, int sub_mul, int sub_acc1, int sub_acc2)
v64accfloat | mul_8x8_8x8_conf (v64bfloat8 a, int sgn_x, v64float8 b, int sgn_y, int sub_mul)
v64accfloat | negmul_8x8_8x8_conf (v64bfloat8 a, int sgn_x, v64float8 b, int sgn_y, int sub_mul)
v64accfloat | mac_8x8_8x8_conf (v64bfloat8 a, int sgn_x, v64float8 b, int sgn_y, v64accfloat acc, int zero_acc, int sub_mul, int sub_acc1)
v64accfloat | msc_8x8_8x8_conf (v64bfloat8 a, int sgn_x, v64float8 b, int sgn_y, v64accfloat acc, int zero_acc, int sub_mul, int sub_acc1)
v64accfloat | addmac_8x8_8x8_conf (v64bfloat8 a, int sgn_x, v64float8 b, int sgn_y, v64accfloat acc1, v64accfloat acc2, int zero_acc1, int sub_mul, int sub_acc1, int sub_acc2)
v64accfloat | addmsc_8x8_8x8_conf (v64bfloat8 a, int sgn_x, v64float8 b, int sgn_y, v64accfloat acc1, v64accfloat acc2, int zero_acc1, int sub_mul, int sub_acc1, int sub_acc2)
v64accfloat | mul_8x8_8x8_conf (v64bfloat8 a, int sgn_x, v64bfloat8 b, int sgn_y, int sub_mul)
v64accfloat | negmul_8x8_8x8_conf (v64bfloat8 a, int sgn_x, v64bfloat8 b, int sgn_y, int sub_mul)
v64accfloat | mac_8x8_8x8_conf (v64bfloat8 a, int sgn_x, v64bfloat8 b, int sgn_y, v64accfloat acc, int zero_acc, int sub_mul, int sub_acc1)
v64accfloat | msc_8x8_8x8_conf (v64bfloat8 a, int sgn_x, v64bfloat8 b, int sgn_y, v64accfloat acc, int zero_acc, int sub_mul, int sub_acc1)
v64accfloat | addmac_8x8_8x8_conf (v64bfloat8 a, int sgn_x, v64bfloat8 b, int sgn_y, v64accfloat acc1, v64accfloat acc2, int zero_acc1, int sub_mul, int sub_acc1, int sub_acc2)
v64accfloat | addmsc_8x8_8x8_conf (v64bfloat8 a, int sgn_x, v64bfloat8 b, int sgn_y, v64accfloat acc1, v64accfloat acc2, int zero_acc1, int sub_mul, int sub_acc1, int sub_acc2)

## Detailed Description

## Function Documentation

## ◆ addmac_8x8_8x8() [1/8]

v64accfloat addmac_8x8_8x8 | ( | v64bfloat8 | a,
|  | int | sgn_x,
|  | v64bfloat8 | b,
|  | int | sgn_y,
|  | v64accfloat | acc1,
|  | v64accfloat | acc2 )

## ◆ addmac_8x8_8x8() [2/8]

v64accfloat addmac_8x8_8x8 | ( | v64bfloat8 | a,
|  | int | sgn_x,
|  | v64float8 | b,
|  | int | sgn_y,
|  | v64accfloat | acc1,
|  | v64accfloat | acc2 )

## ◆ addmac_8x8_8x8() [3/8]

v64accfloat addmac_8x8_8x8 | ( | v64bfloat8 | a,
|  | v64bfloat8 | b,
|  | v64accfloat | acc1,
|  | v64accfloat | acc2 )

## ◆ addmac_8x8_8x8() [4/8]

v64accfloat addmac_8x8_8x8 | ( | v64bfloat8 | a,
|  | v64float8 | b,
|  | v64accfloat | acc1,
|  | v64accfloat | acc2 )

## ◆ addmac_8x8_8x8() [5/8]

v64accfloat addmac_8x8_8x8 | ( | v64float8 | a,
|  | int | sgn_x,
|  | v64bfloat8 | b,
|  | int | sgn_y,
|  | v64accfloat | acc1,
|  | v64accfloat | acc2 )

## ◆ addmac_8x8_8x8() [6/8]

v64accfloat addmac_8x8_8x8 | ( | v64float8 | a,
|  | int | sgn_x,
|  | v64float8 | b,
|  | int | sgn_y,
|  | v64accfloat | acc1,
|  | v64accfloat | acc2 )

## ◆ addmac_8x8_8x8() [7/8]

v64accfloat addmac_8x8_8x8 | ( | v64float8 | a,
|  | v64bfloat8 | b,
|  | v64accfloat | acc1,
|  | v64accfloat | acc2 )

## ◆ addmac_8x8_8x8() [8/8]

v64accfloat addmac_8x8_8x8 | ( | v64float8 | a,
|  | v64float8 | b,
|  | v64accfloat | acc1,
|  | v64accfloat | acc2 )

## ◆ addmac_8x8_8x8_conf() [1/8]

v64accfloat addmac_8x8_8x8_conf | ( | v64bfloat8 | a,
|  | int | sgn_x,
|  | v64bfloat8 | b,
|  | int | sgn_y,
|  | v64accfloat | acc1,
|  | v64accfloat | acc2,
|  | int | zero_acc1,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmac_8x8_8x8_conf() [2/8]

v64accfloat addmac_8x8_8x8_conf | ( | v64bfloat8 | a,
|  | int | sgn_x,
|  | v64float8 | b,
|  | int | sgn_y,
|  | v64accfloat | acc1,
|  | v64accfloat | acc2,
|  | int | zero_acc1,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmac_8x8_8x8_conf() [3/8]

v64accfloat addmac_8x8_8x8_conf | ( | v64bfloat8 | a,
|  | v64bfloat8 | b,
|  | v64accfloat | acc1,
|  | v64accfloat | acc2,
|  | int | zero_acc1,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmac_8x8_8x8_conf() [4/8]

v64accfloat addmac_8x8_8x8_conf | ( | v64bfloat8 | a,
|  | v64float8 | b,
|  | v64accfloat | acc1,
|  | v64accfloat | acc2,
|  | int | zero_acc1,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmac_8x8_8x8_conf() [5/8]

v64accfloat addmac_8x8_8x8_conf | ( | v64float8 | a,
|  | int | sgn_x,
|  | v64bfloat8 | b,
|  | int | sgn_y,
|  | v64accfloat | acc1,
|  | v64accfloat | acc2,
|  | int | zero_acc1,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmac_8x8_8x8_conf() [6/8]

v64accfloat addmac_8x8_8x8_conf | ( | v64float8 | a,
|  | int | sgn_x,
|  | v64float8 | b,
|  | int | sgn_y,
|  | v64accfloat | acc1,
|  | v64accfloat | acc2,
|  | int | zero_acc1,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmac_8x8_8x8_conf() [7/8]

v64accfloat addmac_8x8_8x8_conf | ( | v64float8 | a,
|  | v64bfloat8 | b,
|  | v64accfloat | acc1,
|  | v64accfloat | acc2,
|  | int | zero_acc1,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmac_8x8_8x8_conf() [8/8]

v64accfloat addmac_8x8_8x8_conf | ( | v64float8 | a,
|  | v64float8 | b,
|  | v64accfloat | acc1,
|  | v64accfloat | acc2,
|  | int | zero_acc1,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmsc_8x8_8x8() [1/8]

v64accfloat addmsc_8x8_8x8 | ( | v64bfloat8 | a,
|  | int | sgn_x,
|  | v64bfloat8 | b,
|  | int | sgn_y,
|  | v64accfloat | acc1,
|  | v64accfloat | acc2 )

## ◆ addmsc_8x8_8x8() [2/8]

v64accfloat addmsc_8x8_8x8 | ( | v64bfloat8 | a,
|  | int | sgn_x,
|  | v64float8 | b,
|  | int | sgn_y,
|  | v64accfloat | acc1,
|  | v64accfloat | acc2 )

## ◆ addmsc_8x8_8x8() [3/8]

v64accfloat addmsc_8x8_8x8 | ( | v64bfloat8 | a,
|  | v64bfloat8 | b,
|  | v64accfloat | acc1,
|  | v64accfloat | acc2 )

## ◆ addmsc_8x8_8x8() [4/8]

v64accfloat addmsc_8x8_8x8 | ( | v64bfloat8 | a,
|  | v64float8 | b,
|  | v64accfloat | acc1,
|  | v64accfloat | acc2 )

## ◆ addmsc_8x8_8x8() [5/8]

v64accfloat addmsc_8x8_8x8 | ( | v64float8 | a,
|  | int | sgn_x,
|  | v64bfloat8 | b,
|  | int | sgn_y,
|  | v64accfloat | acc1,
|  | v64accfloat | acc2 )

## ◆ addmsc_8x8_8x8() [6/8]

v64accfloat addmsc_8x8_8x8 | ( | v64float8 | a,
|  | int | sgn_x,
|  | v64float8 | b,
|  | int | sgn_y,
|  | v64accfloat | acc1,
|  | v64accfloat | acc2 )

## ◆ addmsc_8x8_8x8() [7/8]

v64accfloat addmsc_8x8_8x8 | ( | v64float8 | a,
|  | v64bfloat8 | b,
|  | v64accfloat | acc1,
|  | v64accfloat | acc2 )

## ◆ addmsc_8x8_8x8() [8/8]

v64accfloat addmsc_8x8_8x8 | ( | v64float8 | a,
|  | v64float8 | b,
|  | v64accfloat | acc1,
|  | v64accfloat | acc2 )

## ◆ addmsc_8x8_8x8_conf() [1/8]

v64accfloat addmsc_8x8_8x8_conf | ( | v64bfloat8 | a,
|  | int | sgn_x,
|  | v64bfloat8 | b,
|  | int | sgn_y,
|  | v64accfloat | acc1,
|  | v64accfloat | acc2,
|  | int | zero_acc1,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmsc_8x8_8x8_conf() [2/8]

v64accfloat addmsc_8x8_8x8_conf | ( | v64bfloat8 | a,
|  | int | sgn_x,
|  | v64float8 | b,
|  | int | sgn_y,
|  | v64accfloat | acc1,
|  | v64accfloat | acc2,
|  | int | zero_acc1,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmsc_8x8_8x8_conf() [3/8]

v64accfloat addmsc_8x8_8x8_conf | ( | v64bfloat8 | a,
|  | v64bfloat8 | b,
|  | v64accfloat | acc1,
|  | v64accfloat | acc2,
|  | int | zero_acc1,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmsc_8x8_8x8_conf() [4/8]

v64accfloat addmsc_8x8_8x8_conf | ( | v64bfloat8 | a,
|  | v64float8 | b,
|  | v64accfloat | acc1,
|  | v64accfloat | acc2,
|  | int | zero_acc1,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmsc_8x8_8x8_conf() [5/8]

v64accfloat addmsc_8x8_8x8_conf | ( | v64float8 | a,
|  | int | sgn_x,
|  | v64bfloat8 | b,
|  | int | sgn_y,
|  | v64accfloat | acc1,
|  | v64accfloat | acc2,
|  | int | zero_acc1,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmsc_8x8_8x8_conf() [6/8]

v64accfloat addmsc_8x8_8x8_conf | ( | v64float8 | a,
|  | int | sgn_x,
|  | v64float8 | b,
|  | int | sgn_y,
|  | v64accfloat | acc1,
|  | v64accfloat | acc2,
|  | int | zero_acc1,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmsc_8x8_8x8_conf() [7/8]

v64accfloat addmsc_8x8_8x8_conf | ( | v64float8 | a,
|  | v64bfloat8 | b,
|  | v64accfloat | acc1,
|  | v64accfloat | acc2,
|  | int | zero_acc1,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmsc_8x8_8x8_conf() [8/8]

v64accfloat addmsc_8x8_8x8_conf | ( | v64float8 | a,
|  | v64float8 | b,
|  | v64accfloat | acc1,
|  | v64accfloat | acc2,
|  | int | zero_acc1,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ mac_8x8_8x8() [1/8]

v64accfloat mac_8x8_8x8 | ( | v64bfloat8 | a,
|  | int | sgn_x,
|  | v64bfloat8 | b,
|  | int | sgn_y,
|  | v64accfloat | acc )

## ◆ mac_8x8_8x8() [2/8]

v64accfloat mac_8x8_8x8 | ( | v64bfloat8 | a,
|  | int | sgn_x,
|  | v64float8 | b,
|  | int | sgn_y,
|  | v64accfloat | acc )

## ◆ mac_8x8_8x8() [3/8]

v64accfloat mac_8x8_8x8 | ( | v64bfloat8 | a,
|  | v64bfloat8 | b,
|  | v64accfloat | acc )

## ◆ mac_8x8_8x8() [4/8]

v64accfloat mac_8x8_8x8 | ( | v64bfloat8 | a,
|  | v64float8 | b,
|  | v64accfloat | acc )

## ◆ mac_8x8_8x8() [5/8]

v64accfloat mac_8x8_8x8 | ( | v64float8 | a,
|  | int | sgn_x,
|  | v64bfloat8 | b,
|  | int | sgn_y,
|  | v64accfloat | acc )

## ◆ mac_8x8_8x8() [6/8]

v64accfloat mac_8x8_8x8 | ( | v64float8 | a,
|  | int | sgn_x,
|  | v64float8 | b,
|  | int | sgn_y,
|  | v64accfloat | acc )

## ◆ mac_8x8_8x8() [7/8]

v64accfloat mac_8x8_8x8 | ( | v64float8 | a,
|  | v64bfloat8 | b,
|  | v64accfloat | acc )

## ◆ mac_8x8_8x8() [8/8]

v64accfloat mac_8x8_8x8 | ( | v64float8 | a,
|  | v64float8 | b,
|  | v64accfloat | acc )

## ◆ mac_8x8_8x8_conf() [1/8]

v64accfloat mac_8x8_8x8_conf | ( | v64bfloat8 | a,
|  | int | sgn_x,
|  | v64bfloat8 | b,
|  | int | sgn_y,
|  | v64accfloat | acc,
|  | int | zero_acc,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ mac_8x8_8x8_conf() [2/8]

v64accfloat mac_8x8_8x8_conf | ( | v64bfloat8 | a,
|  | int | sgn_x,
|  | v64float8 | b,
|  | int | sgn_y,
|  | v64accfloat | acc,
|  | int | zero_acc,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ mac_8x8_8x8_conf() [3/8]

v64accfloat mac_8x8_8x8_conf | ( | v64bfloat8 | a,
|  | v64bfloat8 | b,
|  | v64accfloat | acc,
|  | int | zero_acc,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ mac_8x8_8x8_conf() [4/8]

v64accfloat mac_8x8_8x8_conf | ( | v64bfloat8 | a,
|  | v64float8 | b,
|  | v64accfloat | acc,
|  | int | zero_acc,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ mac_8x8_8x8_conf() [5/8]

v64accfloat mac_8x8_8x8_conf | ( | v64float8 | a,
|  | int | sgn_x,
|  | v64bfloat8 | b,
|  | int | sgn_y,
|  | v64accfloat | acc,
|  | int | zero_acc,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ mac_8x8_8x8_conf() [6/8]

v64accfloat mac_8x8_8x8_conf | ( | v64float8 | a,
|  | int | sgn_x,
|  | v64float8 | b,
|  | int | sgn_y,
|  | v64accfloat | acc,
|  | int | zero_acc,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ mac_8x8_8x8_conf() [7/8]

v64accfloat mac_8x8_8x8_conf | ( | v64float8 | a,
|  | v64bfloat8 | b,
|  | v64accfloat | acc,
|  | int | zero_acc,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ mac_8x8_8x8_conf() [8/8]

v64accfloat mac_8x8_8x8_conf | ( | v64float8 | a,
|  | v64float8 | b,
|  | v64accfloat | acc,
|  | int | zero_acc,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ msc_8x8_8x8() [1/8]

v64accfloat msc_8x8_8x8 | ( | v64bfloat8 | a,
|  | int | sgn_x,
|  | v64bfloat8 | b,
|  | int | sgn_y,
|  | v64accfloat | acc )

## ◆ msc_8x8_8x8() [2/8]

v64accfloat msc_8x8_8x8 | ( | v64bfloat8 | a,
|  | int | sgn_x,
|  | v64float8 | b,
|  | int | sgn_y,
|  | v64accfloat | acc )

## ◆ msc_8x8_8x8() [3/8]

v64accfloat msc_8x8_8x8 | ( | v64bfloat8 | a,
|  | v64bfloat8 | b,
|  | v64accfloat | acc )

## ◆ msc_8x8_8x8() [4/8]

v64accfloat msc_8x8_8x8 | ( | v64bfloat8 | a,
|  | v64float8 | b,
|  | v64accfloat | acc )

## ◆ msc_8x8_8x8() [5/8]

v64accfloat msc_8x8_8x8 | ( | v64float8 | a,
|  | int | sgn_x,
|  | v64bfloat8 | b,
|  | int | sgn_y,
|  | v64accfloat | acc )

## ◆ msc_8x8_8x8() [6/8]

v64accfloat msc_8x8_8x8 | ( | v64float8 | a,
|  | int | sgn_x,
|  | v64float8 | b,
|  | int | sgn_y,
|  | v64accfloat | acc )

## ◆ msc_8x8_8x8() [7/8]

v64accfloat msc_8x8_8x8 | ( | v64float8 | a,
|  | v64bfloat8 | b,
|  | v64accfloat | acc )

## ◆ msc_8x8_8x8() [8/8]

v64accfloat msc_8x8_8x8 | ( | v64float8 | a,
|  | v64float8 | b,
|  | v64accfloat | acc )

## ◆ msc_8x8_8x8_conf() [1/8]

v64accfloat msc_8x8_8x8_conf | ( | v64bfloat8 | a,
|  | int | sgn_x,
|  | v64bfloat8 | b,
|  | int | sgn_y,
|  | v64accfloat | acc,
|  | int | zero_acc,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ msc_8x8_8x8_conf() [2/8]

v64accfloat msc_8x8_8x8_conf | ( | v64bfloat8 | a,
|  | int | sgn_x,
|  | v64float8 | b,
|  | int | sgn_y,
|  | v64accfloat | acc,
|  | int | zero_acc,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ msc_8x8_8x8_conf() [3/8]

v64accfloat msc_8x8_8x8_conf | ( | v64bfloat8 | a,
|  | v64bfloat8 | b,
|  | v64accfloat | acc,
|  | int | zero_acc,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ msc_8x8_8x8_conf() [4/8]

v64accfloat msc_8x8_8x8_conf | ( | v64bfloat8 | a,
|  | v64float8 | b,
|  | v64accfloat | acc,
|  | int | zero_acc,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ msc_8x8_8x8_conf() [5/8]

v64accfloat msc_8x8_8x8_conf | ( | v64float8 | a,
|  | int | sgn_x,
|  | v64bfloat8 | b,
|  | int | sgn_y,
|  | v64accfloat | acc,
|  | int | zero_acc,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ msc_8x8_8x8_conf() [6/8]

v64accfloat msc_8x8_8x8_conf | ( | v64float8 | a,
|  | int | sgn_x,
|  | v64float8 | b,
|  | int | sgn_y,
|  | v64accfloat | acc,
|  | int | zero_acc,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ msc_8x8_8x8_conf() [7/8]

v64accfloat msc_8x8_8x8_conf | ( | v64float8 | a,
|  | v64bfloat8 | b,
|  | v64accfloat | acc,
|  | int | zero_acc,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ msc_8x8_8x8_conf() [8/8]

v64accfloat msc_8x8_8x8_conf | ( | v64float8 | a,
|  | v64float8 | b,
|  | v64accfloat | acc,
|  | int | zero_acc,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ mul_8x8_8x8() [1/8]

v64accfloat mul_8x8_8x8 | ( | v64bfloat8 | a,
|  | int | sgn_x,
|  | v64bfloat8 | b,
|  | int | sgn_y )

## ◆ mul_8x8_8x8() [2/8]

v64accfloat mul_8x8_8x8 | ( | v64bfloat8 | a,
|  | int | sgn_x,
|  | v64float8 | b,
|  | int | sgn_y )

## ◆ mul_8x8_8x8() [3/8]

v64accfloat mul_8x8_8x8 | ( | v64bfloat8 | a,
|  | v64bfloat8 | b )

## ◆ mul_8x8_8x8() [4/8]

v64accfloat mul_8x8_8x8 | ( | v64bfloat8 | a,
|  | v64float8 | b )

## ◆ mul_8x8_8x8() [5/8]

v64accfloat mul_8x8_8x8 | ( | v64float8 | a,
|  | int | sgn_x,
|  | v64bfloat8 | b,
|  | int | sgn_y )

## ◆ mul_8x8_8x8() [6/8]

v64accfloat mul_8x8_8x8 | ( | v64float8 | a,
|  | int | sgn_x,
|  | v64float8 | b,
|  | int | sgn_y )

## ◆ mul_8x8_8x8() [7/8]

v64accfloat mul_8x8_8x8 | ( | v64float8 | a,
|  | v64bfloat8 | b )

## ◆ mul_8x8_8x8() [8/8]

v64accfloat mul_8x8_8x8 | ( | v64float8 | a,
|  | v64float8 | b )

## ◆ mul_8x8_8x8_conf() [1/8]

v64accfloat mul_8x8_8x8_conf | ( | v64bfloat8 | a,
|  | int | sgn_x,
|  | v64bfloat8 | b,
|  | int | sgn_y,
|  | int | sub_mul )

## ◆ mul_8x8_8x8_conf() [2/8]

v64accfloat mul_8x8_8x8_conf | ( | v64bfloat8 | a,
|  | int | sgn_x,
|  | v64float8 | b,
|  | int | sgn_y,
|  | int | sub_mul )

## ◆ mul_8x8_8x8_conf() [3/8]

v64accfloat mul_8x8_8x8_conf | ( | v64bfloat8 | a,
|  | v64bfloat8 | b,
|  | int | sub_mul )

## ◆ mul_8x8_8x8_conf() [4/8]

v64accfloat mul_8x8_8x8_conf | ( | v64bfloat8 | a,
|  | v64float8 | b,
|  | int | sub_mul )

## ◆ mul_8x8_8x8_conf() [5/8]

v64accfloat mul_8x8_8x8_conf | ( | v64float8 | a,
|  | int | sgn_x,
|  | v64bfloat8 | b,
|  | int | sgn_y,
|  | int | sub_mul )

## ◆ mul_8x8_8x8_conf() [6/8]

v64accfloat mul_8x8_8x8_conf | ( | v64float8 | a,
|  | int | sgn_x,
|  | v64float8 | b,
|  | int | sgn_y,
|  | int | sub_mul )

## ◆ mul_8x8_8x8_conf() [7/8]

v64accfloat mul_8x8_8x8_conf | ( | v64float8 | a,
|  | v64bfloat8 | b,
|  | int | sub_mul )

## ◆ mul_8x8_8x8_conf() [8/8]

v64accfloat mul_8x8_8x8_conf | ( | v64float8 | a,
|  | v64float8 | b,
|  | int | sub_mul )

## ◆ negmul_8x8_8x8() [1/8]

v64accfloat negmul_8x8_8x8 | ( | v64bfloat8 | a,
|  | int | sgn_x,
|  | v64bfloat8 | b,
|  | int | sgn_y )

## ◆ negmul_8x8_8x8() [2/8]

v64accfloat negmul_8x8_8x8 | ( | v64bfloat8 | a,
|  | int | sgn_x,
|  | v64float8 | b,
|  | int | sgn_y )

## ◆ negmul_8x8_8x8() [3/8]

v64accfloat negmul_8x8_8x8 | ( | v64bfloat8 | a,
|  | v64bfloat8 | b )

## ◆ negmul_8x8_8x8() [4/8]

v64accfloat negmul_8x8_8x8 | ( | v64bfloat8 | a,
|  | v64float8 | b )

## ◆ negmul_8x8_8x8() [5/8]

v64accfloat negmul_8x8_8x8 | ( | v64float8 | a,
|  | int | sgn_x,
|  | v64bfloat8 | b,
|  | int | sgn_y )

## ◆ negmul_8x8_8x8() [6/8]

v64accfloat negmul_8x8_8x8 | ( | v64float8 | a,
|  | int | sgn_x,
|  | v64float8 | b,
|  | int | sgn_y )

## ◆ negmul_8x8_8x8() [7/8]

v64accfloat negmul_8x8_8x8 | ( | v64float8 | a,
|  | v64bfloat8 | b )

## ◆ negmul_8x8_8x8() [8/8]

v64accfloat negmul_8x8_8x8 | ( | v64float8 | a,
|  | v64float8 | b )

## ◆ negmul_8x8_8x8_conf() [1/8]

v64accfloat negmul_8x8_8x8_conf | ( | v64bfloat8 | a,
|  | int | sgn_x,
|  | v64bfloat8 | b,
|  | int | sgn_y,
|  | int | sub_mul )

## ◆ negmul_8x8_8x8_conf() [2/8]

v64accfloat negmul_8x8_8x8_conf | ( | v64bfloat8 | a,
|  | int | sgn_x,
|  | v64float8 | b,
|  | int | sgn_y,
|  | int | sub_mul )

## ◆ negmul_8x8_8x8_conf() [3/8]

v64accfloat negmul_8x8_8x8_conf | ( | v64bfloat8 | a,
|  | v64bfloat8 | b,
|  | int | sub_mul )

## ◆ negmul_8x8_8x8_conf() [4/8]

v64accfloat negmul_8x8_8x8_conf | ( | v64bfloat8 | a,
|  | v64float8 | b,
|  | int | sub_mul )

## ◆ negmul_8x8_8x8_conf() [5/8]

v64accfloat negmul_8x8_8x8_conf | ( | v64float8 | a,
|  | int | sgn_x,
|  | v64bfloat8 | b,
|  | int | sgn_y,
|  | int | sub_mul )

## ◆ negmul_8x8_8x8_conf() [6/8]

v64accfloat negmul_8x8_8x8_conf | ( | v64float8 | a,
|  | int | sgn_x,
|  | v64float8 | b,
|  | int | sgn_y,
|  | int | sub_mul )

## ◆ negmul_8x8_8x8_conf() [7/8]

v64accfloat negmul_8x8_8x8_conf | ( | v64float8 | a,
|  | v64bfloat8 | b,
|  | int | sub_mul )

## ◆ negmul_8x8_8x8_conf() [8/8]

v64accfloat negmul_8x8_8x8_conf | ( | v64float8 | a,
|  | v64float8 | b,
|  | int | sub_mul )